import { InlineTranslation } from "@smallstack/i18n-shared";
import { Observable } from "rxjs";
import { InputBaseWidgetComponent } from "../../directives/input-base-widget.component";
import * as i0 from "@angular/core";
export declare class I18nInputWidgetComponent extends InputBaseWidgetComponent<InlineTranslation> {
    readonly document: Document;
    private rxCollectionService;
    protected allLocales$: Observable<string[]>;
    protected defaultLocale$: Observable<string>;
    private selectedLocale$;
    protected currentLocale$: Observable<string>;
    protected currentValue$: Observable<string>;
    protected textarea$: Observable<boolean>;
    constructor(document: Document);
    protected setCurrentLocale(locale: string): void;
    protected setTranslation(value: string): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<I18nInputWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<I18nInputWidgetComponent, "smallstack-i18n-input-widget", never, {}, {}, never, never, true, never>;
}
