import { TranslationStore } from "@smallstack/i18n-components";
import { BehaviorSubject, Observable } from "rxjs";
import { FilterBaseWidgetComponent } from "../../directives/filter-base-widget.component";
import { TranslatedSelectValue } from "../select-input-widget/select-rxjs-helpers";
import * as i0 from "@angular/core";
export declare class SelectFilterWidgetComponent extends FilterBaseWidgetComponent {
    readonly document: Document;
    private translationStore;
    protected type$: Observable<any>;
    protected searchText$: BehaviorSubject<string>;
    protected selectOptions$: Observable<Array<TranslatedSelectValue>>;
    protected currentValues$: BehaviorSubject<string[]>;
    protected selectedValueString$: Observable<string>;
    constructor(document: Document, translationStore: TranslationStore);
    selectValue(newValue: any): Promise<void>;
    protected removeFilter(): Promise<void>;
    protected addCurrent(): Promise<void>;
    private updateFilter;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectFilterWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectFilterWidgetComponent, "smallstack-select-filter-widget", never, {}, {}, never, never, true, never>;
}
