import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy } from '@angular/core';
import { RxLet } from '@rx-angular/template/let';
import { RxPush } from '@rx-angular/template/push';
import { LinkedModelsComponent } from '@smallstack/link-components';
import { I as InputBaseWidgetComponent } from './smallstack-form-widgets-input-base-widget.component-e4949b87.mjs';
import '@smallstack/i18n-components';
import '@smallstack/utils';
import '@smallstack/widget-core';
import 'rxjs';

class LinksInputWidgetComponent extends InputBaseWidgetComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.8", ngImport: i0, type: LinksInputWidgetComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.8", type: LinksInputWidgetComponent, isStandalone: true, selector: "ng-component", usesInheritance: true, ngImport: i0, template: "<ng-container *rxLet=\"schema$; let schema\">\n  <smallstack-linked-models\n    [links]=\"value$ | push: 'native'\"\n    (linksChange)=\"setValue($event)\"\n    [typeTags]=\"schema['x-schema-form']?.typeTags\"\n    [linkableTypes]=\"schema['x-schema-form']?.linkableTypes\"\n    [editable]=\"true\"\n  ></smallstack-linked-models>\n</ng-container>\n", dependencies: [{ kind: "pipe", type: RxPush, name: "push" }, { kind: "directive", type: RxLet, selector: "[rxLet]", inputs: ["rxLet", "rxLetStrategy", "rxLetComplete", "rxLetError", "rxLetSuspense", "rxLetContextTrigger", "rxLetCompleteTrigger", "rxLetErrorTrigger", "rxLetSuspenseTrigger", "rxLetNextTrigger", "rxLetRenderCallback", "rxLetParent", "rxLetPatchZone"], outputs: ["rendered"] }, { kind: "component", type: LinkedModelsComponent, selector: "smallstack-linked-models", inputs: ["width", "editable", "typeTags", "linkableTypes", "links", "showPopoutLink"], outputs: ["linksChange"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.8", ngImport: i0, type: LinksInputWidgetComponent, decorators: [{
            type: Component,
            args: [{ changeDetection: ChangeDetectionStrategy.OnPush, standalone: true, imports: [RxPush, RxLet, LinkedModelsComponent], template: "<ng-container *rxLet=\"schema$; let schema\">\n  <smallstack-linked-models\n    [links]=\"value$ | push: 'native'\"\n    (linksChange)=\"setValue($event)\"\n    [typeTags]=\"schema['x-schema-form']?.typeTags\"\n    [linkableTypes]=\"schema['x-schema-form']?.linkableTypes\"\n    [editable]=\"true\"\n  ></smallstack-linked-models>\n</ng-container>\n" }]
        }] });

export { LinksInputWidgetComponent };
//# sourceMappingURL=smallstack-form-widgets-links-input-widget.component-def8e22b.mjs.map
